Bug 146101 - CAN-2005-0178 tty/setsid race
Summary: CAN-2005-0178 tty/setsid race
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,public=20050110
Keywords: Security
Depends On:
Blocks: 144195
TreeView+ depends on / blocked
 
Reported: 2005-01-25 12:46 UTC by Mark J. Cox
Modified: 2013-03-06 05:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 17:20:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:092 important SHIPPED_LIVE Important: kernel security update 2005-02-18 05:00:00 UTC

Description Mark J. Cox 2005-01-25 12:46:26 UTC
Alan Cox committed a patch to 2.6 to "Use the existing "tty_sem" to protect
against the process tty changes too.", this was included in 2.6.10-ac4.  This
issue may affect RHEL4

Patch available at:
http://linux.bkbits.net:8080/linux-2.6/cset@41ddda70CWJb5nNL71T4MOlG2sMG8A

Comment 5 Josh Bressers 2005-02-18 17:20:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-092.html



Note You need to log in before you can comment on or make changes to this bug.